Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.om
Interface ClosingAction

    public interface ClosingAction

A ClosingAction is an action that can be performed by a `ClosingIterator` when the end of a sequence is reached

Method Summary
`void` | `close(SequenceIterator base, int count)` Notify the end of the sequence reached by the base iterator

Method Detail

### close

    void close(SequenceIterator base,
               int count)
               throws XPathException

  Notify the end of the sequence reached by the base iterator

  Parameters:
    `base` - the iteration that has come to the end of its natural life
    `count` - the number of items that have been read
  Throws:
    `XPathException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.